Subject: bug#56820: outline-minor-mode replacing the first character with an arrow

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Sep 2022 21:01:56 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Fri, 09 Sep 2022 19:04:00 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Hm.  Could we do away with the fringes and just use the margins, long
> >> term?
> >
> > Depends for what purposes.  The fringes generally take less space for
> > small enough images, and "other editors" provide similar features,
> > including for breakpoint markers.
> 
> I meant whether we could get rid of the current fringe implementation
> (which doesn't allow displaying normal images) and just use the margin
> code for the fringes instead.

We could, but why would we want to?  If we want to display other types
of (small) images on the fringes, it should be almost straightforward
to implement.  The actual code that draws the bitmaps on the fringes
is specific to the terminal, and we have separate implementations for
X, w32, Cairo, etc.  It shouldn't be too hard to support other images
there.